org.apache.ignite.internal.visor.node

## Class VisorCacheRebalanceCollectorTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<VisorCacheRebalanceCollectorTaskArg,VisorCacheRebalanceCollectorTaskResult,VisorCacheRebalanceCollectorJobResult>
  - - org.apache.ignite.internal.visor.node.VisorCacheRebalanceCollectorTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<VisorCacheRebalanceCollectorTaskArg>,VisorCacheRebalanceCollectorTaskResult>

    @GridInternal
    public class VisorCacheRebalanceCollectorTask
    extends VisorMultiNodeTask<VisorCacheRebalanceCollectorTaskArg,VisorCacheRebalanceCollectorTaskResult,VisorCacheRebalanceCollectorJobResult>

Collects topology rebalance metrics.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheRebalanceCollectorTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.apache.ignite.internal.visor.node.VisorCacheRebalanceCollectorTask.VisorCacheRebalanceCollectorJob` `job(VisorCacheRebalanceCollectorTaskArg arg)`
`protected VisorCacheRebalanceCollectorTaskResult` `reduce(VisorCacheRebalanceCollectorTaskResult taskRes, List<ComputeJobResult> results)`
`protected @Nullable VisorCacheRebalanceCollectorTaskResult` `reduce0(List<ComputeJobResult> results)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorCacheRebalanceCollectorTask

    public VisorCacheRebalanceCollectorTask()

### Method Detail

#### job

    protected org.apache.ignite.internal.visor.node.VisorCacheRebalanceCollectorTask.VisorCacheRebalanceCollectorJob job(VisorCacheRebalanceCollectorTaskArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<VisorCacheRebalanceCollectorTaskArg,VisorCacheRebalanceCollectorTaskResult,VisorCacheRebalanceCollectorJobResult>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

#### reduce0

    @Nullable
    protected @Nullable VisorCacheRebalanceCollectorTaskResult reduce0(List<ComputeJobResult> results)

Actual reduce logic.

Specified by:
  `reduce0` in class `VisorMultiNodeTask<VisorCacheRebalanceCollectorTaskArg,VisorCacheRebalanceCollectorTaskResult,VisorCacheRebalanceCollectorJobResult>`
Parameters:
  `results` - Job results.
Returns:
  Task result.

#### reduce

    protected VisorCacheRebalanceCollectorTaskResult reduce(VisorCacheRebalanceCollectorTaskResult taskRes,
                                                            List<ComputeJobResult> results)

Parameters:
  `taskRes` - Task result.
  `results` - Results.
Returns:
  Topology rebalance metrics collector task result.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020